#!/bin/bash

ischroot
if [ $? -eq 0 ]; then
  echo "is chroot, exit"
  exit
fi

for i in /sys/bus/pci/devices/*; do
  if [[ -e "$i"/class ]]; then
    class=$(cat "$i"/class)
    vendor=$(cat "$i"/vendor)
    device=$(cat "$i"/device)
    # check if the vendor is AMD (0x1002) , NVIDIA(0x10de) or Intel (0x8086)
    if [[ "$vendor" = "0x1002" ]] || [[ "$vendor" = "0x10de" ]]; then
      echo "GPU detected:"
      echo "  Vendor ID: ${vendor}"
      echo "  Product ID: ${device}"
      evdi_module=$(modinfo evdi | awk '/^filename:/{print $NF}')
      echo "  Loading evdi module from: ${evdi_module}"
      insmod "$evdi_module" initial_device_count=1
      ret=$?
      exit $ret
    fi
  fi
done
